Subject: [Cellar] FFV1 nits

From: Tessa Fallon <[email-masked]>
Date: Wed, 7 Jun 2017 12:37:52 -0400

Generated by running nits from
https://datatracker.ietf.org/doc/draft-niedermayer-cellar-ffv1/

idnits 2.14.02

/tmp/draft-niedermayer-cellar-ffv1-02.txt:

  Checking boilerplate required by RFC 5378 and the IETF Trust (see
  http://trustee.ietf.org/license-info):
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/1id-guidelines.txt:
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

  ** The document seems to lack an IANA Considerations section.  (See Section
     2.2 of http://www.ietf.org/id-info/checklist for how to handle the case
     when there are no actions for IANA.)

  Miscellaneous warnings:
  ----------------------------------------------------------------------------

  -- The document date (May 9, 2017) is 29 days in the past.  Is this
     intentional?

  Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)

  == Missing Reference: 'L-l' is mentioned on line 383, but not defined

  == Missing Reference: 'T-t' is mentioned on line 384, but not defined

  -- Looks like a reference, but probably isn't: '1' on line 501

  -- Looks like a reference, but probably isn't: '2' on line 501

     Summary: 1 error (**), 0 flaws (~~), 2 warnings (==), 3 comments (--).

     Run idnits with the --verbose option for more detailed information about
     the items above.

---

From: Dave Rice <[email-masked]>
Date: Wed, 7 Jun 2017 19:51:00 -0400

Hi Tessa,

> On Jun 7, 2017, at 12:37 PM, Tessa Fallon <[email-masked]> wrote:
> 
> Generated by running nits from https://datatracker.ietf.org/doc/draft-niedermayer-cellar-ffv1/ <https://datatracker.ietf.org/doc/draft-niedermayer-cellar-ffv1/> 
> 
> idnits 2.14.02 
> 
[…]
>      2.2 of http://www.ietf.org/id-info/checklist <http://www.ietf.org/id-info/checklist> for how to handle the case
AFAIK there are no IANA considerations for FFV1. Anyone suggest otherwise? I added a pull request at github.com/FFmpeg/FFV1/pull/71 <https://github.com/FFmpeg/FFV1/pull/71> to just say "This document has no IANA actions."

[…]
>   == Missing Reference: 'T-t' is mentioned on line 384, but not defined

There is a sentence preceding the use of these terms that defines them as quantized sample differences. There’s an active pull request working on these lines. If the warning still exists after that pr I may try to adjust the formatting of the code block to silence these warnings.

Best Regards,
Dave Rice

---

From: Jerome Martinez <[email-masked]>
Date: Fri, 9 Jun 2017 16:23:52 +0200

Le 08/06/2017 à 01:51, Dave Rice a écrit :
> AFAIK there are no IANA considerations for FFV1. Anyone suggest 
> otherwise? I added a pull request at github.com/FFmpeg/FFV1/pull/71 
> <https://github.com/FFmpeg/FFV1/pull/71> to just say "This document 
> has no IANA actions."

I understand that IANA has several lists:
- one for "containers" so more Matroska
- one for RTP payload types, so more FFV1 and FLAC.
Additionally, HTML video element may contain a "codecs" attribute and we 
need to have an identifier for matroska, ffv1, flac.

For example, currently we currently have on Internet that:
<video width="720" height="486">
   <source src="movie.webm" type='video/webm; codecs="vp8, vorbis"'>
   <source src="movie.mp4" type='video/mp4; codecs="mp4v.20.240, 
mp4a.40.2"'>
Your browser does not support the video tag.
</video>

it may be good to have an additional line:
   <source src="movie.mkv" type='video/matroska; codecs="ffv1, flac"'>

Does it fit in IANA section or elsewhere?

BTW, FFV1 codec could have suffixes, e.g. "ffv1.3" 3 being the version, 
as mp4v has something for defining requested capabilities.

J2rôme

---

From: Dave Rice <[email-masked]>
Date: Wed, 14 Jun 2017 19:31:59 -0400

> On Jun 9, 2017, at 10:23 AM, Jerome Martinez <[email-masked]> wrote:
> 
> Additionally, HTML video element may contain a "codecs" attribute and we need to have an identifier for matroska, ffv1, flac.
> 
>   <source src="movie.mp4" type='video/mp4; codecs="mp4v.20.240, mp4a.40.2"'>
> BTW, FFV1 codec could have suffixes, e.g. "ffv1.3" 3 being the version, as mp4v has something for defining requested capabilities.

Could be something like the draft below. Please consider this as a my-first-iana-considerations-draft. Comments?

# IANA Considerations

One media subtype (video/ffv1) has been defined and registered as described in the following section.

## FFV1 Media Type Registration

Media type registration is done according to [@!RFC6838] and [@!RFC4855].

Type name: video

Subtype name: ffv1

Required parameters:
	version: The FFV1 version, see section X.X.

Optional parameters:
	[[ what is worthwhile: frame size, frame rate, pix_fmt, duration? ]]

Encoding considerations:
          This media type is framed binary data (see RFC 4288, Section 4.8).

Security considerations: See Section X of this document.

Interoperability considerations:
	[[To do]]

Published specification: RFC nnnn

Applications that use this media type:
	Any application that requires the transport of lossless video can use this media type. Some examples are, but not limited to screen recording, scientific imaging, and digital video preservation.

Additional information: none

Person & email address to contact for further information:
	[[ suggestions? ]]

Intended usage: COMMON

Restrictions on usage:
	[[to do, such the contains section of the document add an ffv1 in RTP section?]]

Author:
	[[ to do]]

Change controller:
          IETF cellar working group delegated from the IESG.

Thanks,
Dave Rice